ActivitiesResourceApi (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger

## Class ActivitiesResourceApi

- java.lang.Object
- - com.cloudera.api.swagger.ActivitiesResourceApi

-     public class ActivitiesResourceApi
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActivitiesResourceApi()`
    `ActivitiesResourceApi(ApiClient apiClient)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiClient` | `getApiClient()`
    `ApiMetricList` | `getMetrics(String activityId, String clusterName, String serviceName, String from, List<String> metrics, String to, String view)` Fetch metric readings for a particular activity.
    `okhttp3.Call` | `getMetricsAsync(String activityId, String clusterName, String serviceName, String from, List<String> metrics, String to, String view, ApiCallback<ApiMetricList> callback)` Fetch metric readings for a particular activity.
    `okhttp3.Call` | `getMetricsCall(String activityId, String clusterName, String serviceName, String from, List<String> metrics, String to, String view, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for getMetrics
    `ApiResponse<ApiMetricList>` | `getMetricsWithHttpInfo(String activityId, String clusterName, String serviceName, String from, List<String> metrics, String to, String view)` Fetch metric readings for a particular activity.
    `ApiActivityList` | `readActivities(String clusterName, String serviceName, BigDecimal maxResults, String query, BigDecimal resultOffset, String view)` Read all activities in the system.
    `okhttp3.Call` | `readActivitiesAsync(String clusterName, String serviceName, BigDecimal maxResults, String query, BigDecimal resultOffset, String view, ApiCallback<ApiActivityList> callback)` Read all activities in the system.
    `okhttp3.Call` | `readActivitiesCall(String clusterName, String serviceName, BigDecimal maxResults, String query, BigDecimal resultOffset, String view, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for readActivities
    `ApiResponse<ApiActivityList>` | `readActivitiesWithHttpInfo(String clusterName, String serviceName, BigDecimal maxResults, String query, BigDecimal resultOffset, String view)` Read all activities in the system.
    `ApiActivity` | `readActivity(String activityId, String clusterName, String serviceName, String view)` Returns a specific activity in the system.
    `okhttp3.Call` | `readActivityAsync(String activityId, String clusterName, String serviceName, String view, ApiCallback<ApiActivity> callback)` Returns a specific activity in the system.
    `okhttp3.Call` | `readActivityCall(String activityId, String clusterName, String serviceName, String view, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for readActivity
    `ApiResponse<ApiActivity>` | `readActivityWithHttpInfo(String activityId, String clusterName, String serviceName, String view)` Returns a specific activity in the system.
    `ApiActivityList` | `readChildActivities(String activityId, String clusterName, String serviceName, BigDecimal maxResults, BigDecimal resultOffset, String view)` Returns the child activities.
    `okhttp3.Call` | `readChildActivitiesAsync(String activityId, String clusterName, String serviceName, BigDecimal maxResults, BigDecimal resultOffset, String view, ApiCallback<ApiActivityList> callback)` Returns the child activities.
    `okhttp3.Call` | `readChildActivitiesCall(String activityId, String clusterName, String serviceName, BigDecimal maxResults, BigDecimal resultOffset, String view, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for readChildActivities
    `ApiResponse<ApiActivityList>` | `readChildActivitiesWithHttpInfo(String activityId, String clusterName, String serviceName, BigDecimal maxResults, BigDecimal resultOffset, String view)` Returns the child activities.
    `ApiActivityList` | `readSimilarActivities(String activityId, String clusterName, String serviceName, String view)` Returns a list of similar activities.
    `okhttp3.Call` | `readSimilarActivitiesAsync(String activityId, String clusterName, String serviceName, String view, ApiCallback<ApiActivityList> callback)` Returns a list of similar activities.
    `okhttp3.Call` | `readSimilarActivitiesCall(String activityId, String clusterName, String serviceName, String view, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for readSimilarActivities
    `ApiResponse<ApiActivityList>` | `readSimilarActivitiesWithHttpInfo(String activityId, String clusterName, String serviceName, String view)` Returns a list of similar activities.
    `void` | `setApiClient(ApiClient apiClient)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ActivitiesResourceApi

          public ActivitiesResourceApi()

    - #### ActivitiesResourceApi

          public ActivitiesResourceApi(ApiClient apiClient)

  - ### Method Detail

    - #### getApiClient

          public ApiClient getApiClient()

    - #### setApiClient

          public void setApiClient(ApiClient apiClient)

    - #### getMetricsCall

          public okhttp3.Call getMetricsCall(String activityId,
                                             String clusterName,
                                             String serviceName,
                                             String from,
                                             List<String> metrics,
                                             String to,
                                             String view,
                                             ProgressResponseBody.ProgressListener progressListener,
                                             ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                      throws ApiException

      Build call for getMetrics
      Parameters:
        `activityId` - The name of the activity. (required)
        `clusterName` - The name of the cluster. (required)
        `serviceName` - The name of the service. (required)
        `from` - Start of the period to query. (optional)
        `metrics` - Filter for which metrics to query. (optional)
        `to` - End of the period to query. (optional, default to now)
        `view` - The view of the data to materialize, either \"summary\" or \"full\". (optional, default to summary)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### getMetrics

          public ApiMetricList getMetrics(String activityId,
                                          String clusterName,
                                          String serviceName,
                                          String from,
                                          List<String> metrics,
                                          String to,
                                          String view)
                                   throws ApiException

      Fetch metric readings for a particular activity. Fetch metric readings for a particular activity. <p> By default, this call will look up all metrics available for the activity. If only specific metrics are desired, use the <i>metrics</i> parameter. <p> By default, the returned results correspond to a 5 minute window based on the provided end time (which defaults to the current server time). The <i>from</i> and <i>to</i> parameters can be used to control the window being queried. A maximum window of 3 hours is enforced. <p> When requesting a \"full\" view, aside from the extended properties of the returned metric data, the collection will also contain information about all metrics available for the activity, even if no readings are available in the requested window.
      Parameters:
        `activityId` - The name of the activity. (required)
        `clusterName` - The name of the cluster. (required)
        `serviceName` - The name of the service. (required)
        `from` - Start of the period to query. (optional)
        `metrics` - Filter for which metrics to query. (optional)
        `to` - End of the period to query. (optional, default to now)
        `view` - The view of the data to materialize, either \"summary\" or \"full\". (optional, default to summary)
      Returns:
        ApiMetricList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getMetricsWithHttpInfo

          public ApiResponse<ApiMetricList> getMetricsWithHttpInfo(String activityId,
                                                                   String clusterName,
                                                                   String serviceName,
                                                                   String from,
                                                                   List<String> metrics,
                                                                   String to,
                                                                   String view)
                                                            throws ApiException

      Fetch metric readings for a particular activity. Fetch metric readings for a particular activity. <p> By default, this call will look up all metrics available for the activity. If only specific metrics are desired, use the <i>metrics</i> parameter. <p> By default, the returned results correspond to a 5 minute window based on the provided end time (which defaults to the current server time). The <i>from</i> and <i>to</i> parameters can be used to control the window being queried. A maximum window of 3 hours is enforced. <p> When requesting a \"full\" view, aside from the extended properties of the returned metric data, the collection will also contain information about all metrics available for the activity, even if no readings are available in the requested window.
      Parameters:
        `activityId` - The name of the activity. (required)
        `clusterName` - The name of the cluster. (required)
        `serviceName` - The name of the service. (required)
        `from` - Start of the period to query. (optional)
        `metrics` - Filter for which metrics to query. (optional)
        `to` - End of the period to query. (optional, default to now)
        `view` - The view of the data to materialize, either \"summary\" or \"full\". (optional, default to summary)
      Returns:
        ApiResponse<ApiMetricList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getMetricsAsync

          public okhttp3.Call getMetricsAsync(String activityId,
                                              String clusterName,
                                              String serviceName,
                                              String from,
                                              List<String> metrics,
                                              String to,
                                              String view,
                                              ApiCallback<ApiMetricList> callback)
                                       throws ApiException

      Fetch metric readings for a particular activity. (asynchronously) Fetch metric readings for a particular activity. <p> By default, this call will look up all metrics available for the activity. If only specific metrics are desired, use the <i>metrics</i> parameter. <p> By default, the returned results correspond to a 5 minute window based on the provided end time (which defaults to the current server time). The <i>from</i> and <i>to</i> parameters can be used to control the window being queried. A maximum window of 3 hours is enforced. <p> When requesting a \"full\" view, aside from the extended properties of the returned metric data, the collection will also contain information about all metrics available for the activity, even if no readings are available in the requested window.
      Parameters:
        `activityId` - The name of the activity. (required)
        `clusterName` - The name of the cluster. (required)
        `serviceName` - The name of the service. (required)
        `from` - Start of the period to query. (optional)
        `metrics` - Filter for which metrics to query. (optional)
        `to` - End of the period to query. (optional, default to now)
        `view` - The view of the data to materialize, either \"summary\" or \"full\". (optional, default to summary)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### readActivitiesCall

          public okhttp3.Call readActivitiesCall(String clusterName,
                                                 String serviceName,
                                                 BigDecimal maxResults,
                                                 String query,
                                                 BigDecimal resultOffset,
                                                 String view,
                                                 ProgressResponseBody.ProgressListener progressListener,
                                                 ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                          throws ApiException

      Build call for readActivities
      Parameters:
        `clusterName` - The name of the cluster (required)
        `serviceName` - The name of the service (required)
        `maxResults` - The maximum number of activities to return. (optional, default to 100)
        `query` - The query to perform to find activities in the system. By default, this call returns top level (i.e. root) activities that have currently started. <p> The query specifies the intersection of a list of constraints, joined together with semicolons (without spaces). For example: </p> <dl> <dt>status==started;parent==</dt> <dd>looks for running root activities. This is also the default query.</dd> <dt>status==failed;finishTime=gt=2012-04-01T20:30:00.000Z</dt> <dd>looks for failed activities after the given date time.</dd> <dt>name==Pi Estimator;startTime=gt=2012-04-01T20:30:00.000Z</dt> <dd>looks for activities started after the given date time, with the name of \"Pi Estimator\".</dd> <dt>startTime=lt=2012-01-02T00:00:00.000Z;finishTime=ge=2012-01-01T00:00:00.000Z</dt> <dd>looks for activities that are active on 2012 New Year's Day. Note that they may start before or finish after that day.</dd> <dt>status==failed;parent==000014-20120425161321-oozie-joe</dt> <dd>looks for failed child activities of the given parent activity id.</dd> <dt>status==started;metrics.cpu_user=gt=10</dt> <dd>looks for started activities that are using more than 10 cores per second.</dd> <dt>type==hive;metrics.user==bc;finishTime=gt=2012-04-01T20:30:00.000Z</dt> <dd>looks for all hive queries submitted by user bc after the given date time.</dd> </dl> You may query any fields present in the ApiActivity object. You can also query by activity metric values using the <em>metrics.*</em> syntax. Values for date time fields should be ISO8601 timestamps. <p> The valid comparators are <em>==</em>, <em>!=</em>, <em>=lt=</em>, <em>=le=</em>, <em>=ge=</em>, and <em>=gt=</em>. They stand for \"==\", \"!=\", \"&lt;\", \"&lt;=\", \"&gt;=\", \"&gt;\" respectively. (optional, default to status==started;parent==)
        `resultOffset` - Specified the offset of activities to return. (optional, default to 0)
        `view` - The view of the activities to materialize (optional, default to summary)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### readActivities

          public ApiActivityList readActivities(String clusterName,
                                                String serviceName,
                                                BigDecimal maxResults,
                                                String query,
                                                BigDecimal resultOffset,
                                                String view)
                                         throws ApiException

      Read all activities in the system. Read all activities in the system
      Parameters:
        `clusterName` - The name of the cluster (required)
        `serviceName` - The name of the service (required)
        `maxResults` - The maximum number of activities to return. (optional, default to 100)
        `query` - The query to perform to find activities in the system. By default, this call returns top level (i.e. root) activities that have currently started. <p> The query specifies the intersection of a list of constraints, joined together with semicolons (without spaces). For example: </p> <dl> <dt>status==started;parent==</dt> <dd>looks for running root activities. This is also the default query.</dd> <dt>status==failed;finishTime=gt=2012-04-01T20:30:00.000Z</dt> <dd>looks for failed activities after the given date time.</dd> <dt>name==Pi Estimator;startTime=gt=2012-04-01T20:30:00.000Z</dt> <dd>looks for activities started after the given date time, with the name of \"Pi Estimator\".</dd> <dt>startTime=lt=2012-01-02T00:00:00.000Z;finishTime=ge=2012-01-01T00:00:00.000Z</dt> <dd>looks for activities that are active on 2012 New Year's Day. Note that they may start before or finish after that day.</dd> <dt>status==failed;parent==000014-20120425161321-oozie-joe</dt> <dd>looks for failed child activities of the given parent activity id.</dd> <dt>status==started;metrics.cpu_user=gt=10</dt> <dd>looks for started activities that are using more than 10 cores per second.</dd> <dt>type==hive;metrics.user==bc;finishTime=gt=2012-04-01T20:30:00.000Z</dt> <dd>looks for all hive queries submitted by user bc after the given date time.</dd> </dl> You may query any fields present in the ApiActivity object. You can also query by activity metric values using the <em>metrics.*</em> syntax. Values for date time fields should be ISO8601 timestamps. <p> The valid comparators are <em>==</em>, <em>!=</em>, <em>=lt=</em>, <em>=le=</em>, <em>=ge=</em>, and <em>=gt=</em>. They stand for \"==\", \"!=\", \"&lt;\", \"&lt;=\", \"&gt;=\", \"&gt;\" respectively. (optional, default to status==started;parent==)
        `resultOffset` - Specified the offset of activities to return. (optional, default to 0)
        `view` - The view of the activities to materialize (optional, default to summary)
      Returns:
        ApiActivityList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readActivitiesWithHttpInfo

          public ApiResponse<ApiActivityList> readActivitiesWithHttpInfo(String clusterName,
                                                                         String serviceName,
                                                                         BigDecimal maxResults,
                                                                         String query,
                                                                         BigDecimal resultOffset,
                                                                         String view)
                                                                  throws ApiException

      Read all activities in the system. Read all activities in the system
      Parameters:
        `clusterName` - The name of the cluster (required)
        `serviceName` - The name of the service (required)
        `maxResults` - The maximum number of activities to return. (optional, default to 100)
        `query` - The query to perform to find activities in the system. By default, this call returns top level (i.e. root) activities that have currently started. <p> The query specifies the intersection of a list of constraints, joined together with semicolons (without spaces). For example: </p> <dl> <dt>status==started;parent==</dt> <dd>looks for running root activities. This is also the default query.</dd> <dt>status==failed;finishTime=gt=2012-04-01T20:30:00.000Z</dt> <dd>looks for failed activities after the given date time.</dd> <dt>name==Pi Estimator;startTime=gt=2012-04-01T20:30:00.000Z</dt> <dd>looks for activities started after the given date time, with the name of \"Pi Estimator\".</dd> <dt>startTime=lt=2012-01-02T00:00:00.000Z;finishTime=ge=2012-01-01T00:00:00.000Z</dt> <dd>looks for activities that are active on 2012 New Year's Day. Note that they may start before or finish after that day.</dd> <dt>status==failed;parent==000014-20120425161321-oozie-joe</dt> <dd>looks for failed child activities of the given parent activity id.</dd> <dt>status==started;metrics.cpu_user=gt=10</dt> <dd>looks for started activities that are using more than 10 cores per second.</dd> <dt>type==hive;metrics.user==bc;finishTime=gt=2012-04-01T20:30:00.000Z</dt> <dd>looks for all hive queries submitted by user bc after the given date time.</dd> </dl> You may query any fields present in the ApiActivity object. You can also query by activity metric values using the <em>metrics.*</em> syntax. Values for date time fields should be ISO8601 timestamps. <p> The valid comparators are <em>==</em>, <em>!=</em>, <em>=lt=</em>, <em>=le=</em>, <em>=ge=</em>, and <em>=gt=</em>. They stand for \"==\", \"!=\", \"&lt;\", \"&lt;=\", \"&gt;=\", \"&gt;\" respectively. (optional, default to status==started;parent==)
        `resultOffset` - Specified the offset of activities to return. (optional, default to 0)
        `view` - The view of the activities to materialize (optional, default to summary)
      Returns:
        ApiResponse<ApiActivityList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readActivitiesAsync

          public okhttp3.Call readActivitiesAsync(String clusterName,
                                                  String serviceName,
                                                  BigDecimal maxResults,
                                                  String query,
                                                  BigDecimal resultOffset,
                                                  String view,
                                                  ApiCallback<ApiActivityList> callback)
                                           throws ApiException

      Read all activities in the system. (asynchronously) Read all activities in the system
      Parameters:
        `clusterName` - The name of the cluster (required)
        `serviceName` - The name of the service (required)
        `maxResults` - The maximum number of activities to return. (optional, default to 100)
        `query` - The query to perform to find activities in the system. By default, this call returns top level (i.e. root) activities that have currently started. <p> The query specifies the intersection of a list of constraints, joined together with semicolons (without spaces). For example: </p> <dl> <dt>status==started;parent==</dt> <dd>looks for running root activities. This is also the default query.</dd> <dt>status==failed;finishTime=gt=2012-04-01T20:30:00.000Z</dt> <dd>looks for failed activities after the given date time.</dd> <dt>name==Pi Estimator;startTime=gt=2012-04-01T20:30:00.000Z</dt> <dd>looks for activities started after the given date time, with the name of \"Pi Estimator\".</dd> <dt>startTime=lt=2012-01-02T00:00:00.000Z;finishTime=ge=2012-01-01T00:00:00.000Z</dt> <dd>looks for activities that are active on 2012 New Year's Day. Note that they may start before or finish after that day.</dd> <dt>status==failed;parent==000014-20120425161321-oozie-joe</dt> <dd>looks for failed child activities of the given parent activity id.</dd> <dt>status==started;metrics.cpu_user=gt=10</dt> <dd>looks for started activities that are using more than 10 cores per second.</dd> <dt>type==hive;metrics.user==bc;finishTime=gt=2012-04-01T20:30:00.000Z</dt> <dd>looks for all hive queries submitted by user bc after the given date time.</dd> </dl> You may query any fields present in the ApiActivity object. You can also query by activity metric values using the <em>metrics.*</em> syntax. Values for date time fields should be ISO8601 timestamps. <p> The valid comparators are <em>==</em>, <em>!=</em>, <em>=lt=</em>, <em>=le=</em>, <em>=ge=</em>, and <em>=gt=</em>. They stand for \"==\", \"!=\", \"&lt;\", \"&lt;=\", \"&gt;=\", \"&gt;\" respectively. (optional, default to status==started;parent==)
        `resultOffset` - Specified the offset of activities to return. (optional, default to 0)
        `view` - The view of the activities to materialize (optional, default to summary)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### readActivityCall

          public okhttp3.Call readActivityCall(String activityId,
                                               String clusterName,
                                               String serviceName,
                                               String view,
                                               ProgressResponseBody.ProgressListener progressListener,
                                               ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                        throws ApiException

      Build call for readActivity
      Parameters:
        `activityId` - The id of the activity to retrieve (required)
        `clusterName` - The name of the cluster (required)
        `serviceName` - The name of the service (required)
        `view` - The view of the activity to materialize (optional, default to summary)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### readActivity

          public ApiActivity readActivity(String activityId,
                                          String clusterName,
                                          String serviceName,
                                          String view)
                                   throws ApiException

      Returns a specific activity in the system. Returns a specific activity in the system
      Parameters:
        `activityId` - The id of the activity to retrieve (required)
        `clusterName` - The name of the cluster (required)
        `serviceName` - The name of the service (required)
        `view` - The view of the activity to materialize (optional, default to summary)
      Returns:
        ApiActivity
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readActivityWithHttpInfo

          public ApiResponse<ApiActivity> readActivityWithHttpInfo(String activityId,
                                                                   String clusterName,
                                                                   String serviceName,
                                                                   String view)
                                                            throws ApiException

      Returns a specific activity in the system. Returns a specific activity in the system
      Parameters:
        `activityId` - The id of the activity to retrieve (required)
        `clusterName` - The name of the cluster (required)
        `serviceName` - The name of the service (required)
        `view` - The view of the activity to materialize (optional, default to summary)
      Returns:
        ApiResponse<ApiActivity>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readActivityAsync

          public okhttp3.Call readActivityAsync(String activityId,
                                                String clusterName,
                                                String serviceName,
                                                String view,
                                                ApiCallback<ApiActivity> callback)
                                         throws ApiException

      Returns a specific activity in the system. (asynchronously) Returns a specific activity in the system
      Parameters:
        `activityId` - The id of the activity to retrieve (required)
        `clusterName` - The name of the cluster (required)
        `serviceName` - The name of the service (required)
        `view` - The view of the activity to materialize (optional, default to summary)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### readChildActivitiesCall

          public okhttp3.Call readChildActivitiesCall(String activityId,
                                                      String clusterName,
                                                      String serviceName,
                                                      BigDecimal maxResults,
                                                      BigDecimal resultOffset,
                                                      String view,
                                                      ProgressResponseBody.ProgressListener progressListener,
                                                      ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                               throws ApiException

      Build call for readChildActivities
      Parameters:
        `activityId` - The id of the activity (required)
        `clusterName` - The name of the cluster (required)
        `serviceName` - The name of the service (required)
        `maxResults` - The maximum number of activities to return. (optional, default to 100)
        `resultOffset` - Specified the offset of activities to return. (optional, default to 0)
        `view` - The view of the children to materialize (optional, default to summary)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### readChildActivities

          public ApiActivityList readChildActivities(String activityId,
                                                     String clusterName,
                                                     String serviceName,
                                                     BigDecimal maxResults,
                                                     BigDecimal resultOffset,
                                                     String view)
                                              throws ApiException

      Returns the child activities. Returns the child activities
      Parameters:
        `activityId` - The id of the activity (required)
        `clusterName` - The name of the cluster (required)
        `serviceName` - The name of the service (required)
        `maxResults` - The maximum number of activities to return. (optional, default to 100)
        `resultOffset` - Specified the offset of activities to return. (optional, default to 0)
        `view` - The view of the children to materialize (optional, default to summary)
      Returns:
        ApiActivityList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readChildActivitiesWithHttpInfo

          public ApiResponse<ApiActivityList> readChildActivitiesWithHttpInfo(String activityId,
                                                                              String clusterName,
                                                                              String serviceName,
                                                                              BigDecimal maxResults,
                                                                              BigDecimal resultOffset,
                                                                              String view)
                                                                       throws ApiException

      Returns the child activities. Returns the child activities
      Parameters:
        `activityId` - The id of the activity (required)
        `clusterName` - The name of the cluster (required)
        `serviceName` - The name of the service (required)
        `maxResults` - The maximum number of activities to return. (optional, default to 100)
        `resultOffset` - Specified the offset of activities to return. (optional, default to 0)
        `view` - The view of the children to materialize (optional, default to summary)
      Returns:
        ApiResponse<ApiActivityList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readChildActivitiesAsync

          public okhttp3.Call readChildActivitiesAsync(String activityId,
                                                       String clusterName,
                                                       String serviceName,
                                                       BigDecimal maxResults,
                                                       BigDecimal resultOffset,
                                                       String view,
                                                       ApiCallback<ApiActivityList> callback)
                                                throws ApiException

      Returns the child activities. (asynchronously) Returns the child activities
      Parameters:
        `activityId` - The id of the activity (required)
        `clusterName` - The name of the cluster (required)
        `serviceName` - The name of the service (required)
        `maxResults` - The maximum number of activities to return. (optional, default to 100)
        `resultOffset` - Specified the offset of activities to return. (optional, default to 0)
        `view` - The view of the children to materialize (optional, default to summary)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### readSimilarActivitiesCall

          public okhttp3.Call readSimilarActivitiesCall(String activityId,
                                                        String clusterName,
                                                        String serviceName,
                                                        String view,
                                                        ProgressResponseBody.ProgressListener progressListener,
                                                        ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                 throws ApiException

      Build call for readSimilarActivities
      Parameters:
        `activityId` - The id of the activity (required)
        `clusterName` - The name of the cluster (required)
        `serviceName` - The name of the service (required)
        `view` - The view of the activities to materialize (optional, default to summary)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### readSimilarActivities

          public ApiActivityList readSimilarActivities(String activityId,
                                                       String clusterName,
                                                       String serviceName,
                                                       String view)
                                                throws ApiException

      Returns a list of similar activities. Returns a list of similar activities
      Parameters:
        `activityId` - The id of the activity (required)
        `clusterName` - The name of the cluster (required)
        `serviceName` - The name of the service (required)
        `view` - The view of the activities to materialize (optional, default to summary)
      Returns:
        ApiActivityList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readSimilarActivitiesWithHttpInfo

          public ApiResponse<ApiActivityList> readSimilarActivitiesWithHttpInfo(String activityId,
                                                                                String clusterName,
                                                                                String serviceName,
                                                                                String view)
                                                                         throws ApiException

      Returns a list of similar activities. Returns a list of similar activities
      Parameters:
        `activityId` - The id of the activity (required)
        `clusterName` - The name of the cluster (required)
        `serviceName` - The name of the service (required)
        `view` - The view of the activities to materialize (optional, default to summary)
      Returns:
        ApiResponse<ApiActivityList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readSimilarActivitiesAsync

          public okhttp3.Call readSimilarActivitiesAsync(String activityId,
                                                         String clusterName,
                                                         String serviceName,
                                                         String view,
                                                         ApiCallback<ApiActivityList> callback)
                                                  throws ApiException

      Returns a list of similar activities. (asynchronously) Returns a list of similar activities
      Parameters:
        `activityId` - The id of the activity (required)
        `clusterName` - The name of the cluster (required)
        `serviceName` - The name of the service (required)
        `view` - The view of the activities to materialize (optional, default to summary)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

Copyright © 2026. All rights reserved.